<!--
SPDX-FileCopyrightText: 2024 Simon Dalvai <info@simondalvai.org>

SPDX-License-Identifier: CC0-1.0
-->

# Roadmap
List of features/issues for future versions of PocketBroomball.  
So users from [Codeberg](https://codeberg.org/dulvui/pocket-broomball) and [Github](https://codeberg.org/dulvui/pocket-broomball) can track issues/features with ease.

## Table of contents
- [Roadmap](#roadmap)
  - [Table of contents](#table-of-contents)
  - [Backlog](#backlog)
  - [In progress](#in-progress)
  - [Done](#done)

## Backlog
Features/issues that will [probably] be added/solved in future

- make field borders responsive to device screen size - https://github.com/dulvui/pocket-broomball/issues/30
- improve crowd sound effects - https://github.com/dulvui/pocket-broomball/issues/21
- custom colors for shop items - https://github.com/dulvui/pocket-broomball/issues/16
- online/local multiplayer - https://github.com/dulvui/pocket-broomball/issues/15

## In progress
List of features that are currently worked on.

- The possibility to change speed and power breaks the game mechanics - https://github.com/dulvui/pocket-broomball/issues/39

## Done
Features/issues that are added/solved in specific version

- 6.1.3
    - Some tournament results pages cover up continue button - https://github.com/dulvui/pocket-broomball/issues/45
- 6.1.2
    - Certain SFX cannot be disabled - https://github.com/dulvui/pocket-broomball/issues/44

- 6.1.1
    - Opponent player refuses to play - https://github.com/dulvui/pocket-broomball/issues/43

- 6.1.0
    - bot vs bot with custom difficulties - https://github.com/dulvui/pocket-broomball/issues/26
    - Game occasionally stuck if the Bot opponent jams the ball against the wall - https://github.com/dulvui/pocket-broomball/issues/40
    - In World Cup the quarter-final match is skipped if you're on the right side of the table - https://github.com/dulvui/pocket-broomball/issues/41
    - progressive knockback on ball hits - https://github.com/dulvui/pocket-broomball/issues/23

- 6.0.0
    - New team in Ontario League: Mildmay Moose
    - Power and speed can now be modified

- 5.2.1
    - new icon
    - update to Godot 3.6
    - use Godot 3.6 physics interpolation over [smoothing addon](https://github.com/lawnjelly/smoothing-addon)
    - target latest Android SDK level 34

